libcork (1.0.0~rc3-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with CMake 4. (Closes: #1113130)

 -- Adrian Bunk <bunk@debian.org>  Tue, 28 Oct 2025 15:50:42 +0200

libcork (1.0.0~rc3-4) unstable; urgency=medium

  [ Roger Shimizu ]
  * debian/patches: Update patch for CI test to remove local include
    path.

  [ Helmut Grohne ]
  * Reduce Build-Depends: (Closes: #1083174)
    + Add a nocheck.patch that makes upstream honour BUILD_TESTING.
    + Annotate check and python3-cram with <!nocheck>.
    + Demote sphinx dependencies and dh addon to Build-Depends-Indep.

 -- Roger Shimizu <rosh@debian.org>  Thu, 10 Apr 2025 00:59:03 -0700

libcork (1.0.0~rc3-3) unstable; urgency=medium

  * debian/copyright:
    - Update entry for tests/cram.py.
  * debian/control:
    - Update Homepage to github.
  * debian/tests/upstream-test-suite:
    - Ignore the error from dh_auto_configure. This will make
      autopkgtest within pbuilder happy.
    - Remove dh_auto_build from script, and only build tests.
  * debian/tests/control:
    - Install include and library for the test.
  * debian/patches:
    - Update 03 patch to ensure using system python3-cram.
    - Add a patch for autopkgtest, or CI pipeline:
        autopkgtest-Use-system-library-to-run-test.patch
      It uses system's include and library, and skip to build local
      library.

 -- Roger Shimizu <rosh@debian.org>  Sun, 29 Aug 2021 15:35:31 +0900

libcork (1.0.0~rc3-2) unstable; urgency=medium

  * debian/copyright:
    - Add entry for tests/cram.py.
  * debian/patches:
    - Add patch to use system python3-cram, instead of embedded
      tests/cram.py.
  * debian/rules:
    - Install doc from debian/tmp instead of obj-*, to make
      dh_missing happy.
  * debian/upstream/metadata:
    - Remove Homepage entry to make lintian happy.

 -- Roger Shimizu <rosh@debian.org>  Mon, 23 Aug 2021 00:47:49 +0900

libcork (1.0.0~rc3-1) unstable; urgency=medium

  * Upload to unstable.

 -- Roger Shimizu <rosh@debian.org>  Tue, 17 Aug 2021 01:55:17 +0900

libcork (1.0.0~rc3-1~exp2) experimental; urgency=medium

  * debian/tests:
    - Revert: Add new ss-libev.sh test suite from shadowsocks-libev.
  * debian/watch:
    - Add uversionmangle rule to adapt upstream RC version

 -- Roger Shimizu <rosh@debian.org>  Sat, 06 Feb 2021 18:02:49 +0900

libcork (1.0.0~rc3-1~exp1) experimental; urgency=medium

  * New upstream release 1.0.0--rc3
  * debian/watch:
    - Update upstream URL.
  * debian/copyright:
    - Remove Files-Excluded section.
  * debian/patches:
    - Refresh patches.
  * debian/libcork16.symbols: Update
  * debian/rules:
    - export DEB_VERSION_UPSTREAM to feed cmake script.

 -- Roger Shimizu <rosh@debian.org>  Mon, 25 Jan 2021 01:32:04 +0900

libcork (0.15.0+ds-16) unstable; urgency=medium

  * debian/rules:
    - Move updating CMakeLists.txt to dh_auto_configure.
  * debian/tests:
    - Update CMakeLists.txt, same as d/rules.
    - Add new ss-libev.sh test suite from shadowsocks-libev.

 -- Roger Shimizu <rosh@debian.org>  Sun, 24 Jan 2021 23:56:25 +0900

libcork (0.15.0+ds-15) unstable; urgency=medium

  * debian/rules:
    - Fix ftbfs due to: https://github.com/libcheck/check/issues/293
      Workaround from: https://bugs.gentoo.org/736766 (Closes: #980598)

 -- Roger Shimizu <rosh@debian.org>  Sun, 24 Jan 2021 01:09:39 +0900

libcork (0.15.0+ds-14) unstable; urgency=medium

  * debian/patches:
    - Refresh patches.
    - Add 0015 patch to fix fails to build with sphinx 3.1.
      Thanks to Zhihsian Que for the patch (Closes: #963645).

 -- Roger Shimizu <rosh@debian.org>  Wed, 12 Aug 2020 00:46:49 +0900

libcork (0.15.0+ds-13) unstable; urgency=medium

  * debian/control and debian/copyright:
    - Update to use my debian email.
    - Update URL of upstream.
  * debian/control:
    - Move maintenance under bridges team.
    - Bump debhelper version to 12.
    - Bump policy version to 4.5.0 (no change).
    - Add Rules-Requires-Root: no
    - Move Vcs-* to salsa.
  * debian/libcork-doc.doc-base:
    - Move doc path to libcork-dev folder.
  * Add debian/upstream/metadata
  * debian/rules:
    - Add more security hardening: -fPIC for CPPFLAGS and LDFLAGS.
  * debian/libcorkipset1.symbols:
    - Add Build-Depends-Package as requested by lintian.

 -- Roger Shimizu <rosh@debian.org>  Tue, 19 May 2020 20:32:33 +0900

libcork (0.15.0+ds-12) unstable; urgency=medium

  * Release to unstable.
  * debian/patches:
    - Refresh patches.

 -- Roger Shimizu <rogershimizu@gmail.com>  Sun, 22 Oct 2017 22:16:16 +0900

libcork (0.15.0+ds-12~exp3) experimental; urgency=medium

  * debian/libcork16.symbols:
    - Add symbols file for libcork16.

 -- Roger Shimizu <rogershimizu@gmail.com>  Sun, 22 Oct 2017 17:44:40 +0900

libcork (0.15.0+ds-12~exp2) experimental; urgency=medium

  * debian/rules:
    - Support new mathjax js URL result from sphinx.
      Old URL result is also kept for backports.

 -- Roger Shimizu <rogershimizu@gmail.com>  Wed, 18 Oct 2017 22:31:04 +0900

libcork (0.15.0+ds-12~exp1) experimental; urgency=medium

  * debian/control:
    - Remove extra priority, since policy claims extra is the same as
      optional now. So all binary packages can be optional.
    - Bump up Standards-Version to 4.1.1 (with adding autopkgtest below).
  * Remove debian-watch-file-should-mangle-version from lintian-overrides.
  * debian/patches:
    - Update patch 0010, to extend the timeout of a test, since there's
      timeout issue on i386 of reproducible build.
  * debian/tests:
    - Add upstream test suite for autopkgtest.
  * debian/watch:
    - Change filenamemangle to match with the filename in archive.

 -- Roger Shimizu <rogershimizu@gmail.com>  Tue, 17 Oct 2017 01:37:36 +0900

libcork (0.15.0+ds-11~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Roger Shimizu <rogershimizu@gmail.com>  Fri, 30 Jun 2017 01:51:21 +0900

libcork (0.15.0+ds-11) unstable; urgency=medium

  * debian/control:
    - Set Multi-Arch of libcork-doc as foreign
  * debian/rules:
    - Now it's safe to set +all as hardening option
  * debian/patches:
    - Add a patch to fix upstream issue #120:
        https://github.com/redjack/libcork/issues/120
      Thanks to Max Lv <max.c.lv@gmail.com>.

 -- Roger Shimizu <rogershimizu@gmail.com>  Fri, 06 Jan 2017 00:30:16 +0900

libcork (0.15.0+ds-10~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Roger Shimizu <rogershimizu@gmail.com>  Wed, 23 Nov 2016 23:10:55 +0900

libcork (0.15.0+ds-10) unstable; urgency=medium

  * debian/control:
    - Make use of dh_sphinxdoc to calculate the dependency of js library
    - Add Built-Using according to Bug#836248.
  * debian/rules:
    - Make use of dh_sphinxdoc to replace/remove libjs-sphinxdoc js libraries.
      Mathjax related replacement is left as before since it's not included
      in libjs-sphinxdoc, yet. See Bug#739300.

 -- Roger Shimizu <rogershimizu@gmail.com>  Sun, 20 Nov 2016 19:38:32 +0900

libcork (0.15.0+ds-9) unstable; urgency=medium

  * debian/control:
    - make use of libjs-jquery and libjs-underscore in Debian archive,
      and remove embedded .js libraries.

 -- Roger Shimizu <rogershimizu@gmail.com>  Wed, 26 Oct 2016 22:12:00 +0900

libcork (0.15.0+ds-9~exp1) experimental; urgency=medium

  * debian/patches:
    - Add 0013 patch to fix unaligned access issue found on sparc64 arch
      Thanks to James Clarke <jrtc27@jrtc27.com>.

 -- Roger Shimizu <rogershimizu@gmail.com>  Fri, 21 Oct 2016 20:25:41 +0900

libcork (0.15.0+ds-8) unstable; urgency=medium

  * debian/patches:
    - Add 0012 patch to bump libcork version to 16.0.2
      (Closes: #841267)

 -- Roger Shimizu <rogershimizu@gmail.com>  Wed, 19 Oct 2016 19:09:44 +0900

libcork (0.15.0+ds-7) unstable; urgency=medium

  * debian/copyright:
    - Update field: Upstream-Contact
    - Update field: Files-Excluded
  * debian/control:
    - Bump debhelper level to 10 (previous was 9.20160403,
      feature equivalent to 10, so no change required).

 -- Roger Shimizu <rogershimizu@gmail.com>  Tue, 18 Oct 2016 22:15:36 +0900

libcork (0.15.0+ds-7~exp1) experimental; urgency=medium

  * debian/control:
    - Bump up libcork SONAME to libcork16
  * debian/patches:
    - Add 0011 patch, to make SONAME version the same as library version

 -- Roger Shimizu <rogershimizu@gmail.com>  Fri, 14 Oct 2016 01:58:54 +0900

libcork (0.15.0+ds-6~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Roger Shimizu <rogershimizu@gmail.com>  Wed, 05 Oct 2016 01:15:01 +0900

libcork (0.15.0+ds-6) unstable; urgency=medium

  * debian/patches:
    - Add 0010 patch, to resolve test timeout of bitset case
  * debian/rules:
    - Remove tmp file for rebuild in -doc package
  * debian/source.lintian-overrides:
    - Add lintian overrides: false positive

 -- Roger Shimizu <rogershimizu@gmail.com>  Mon, 25 Jul 2016 00:43:18 +0900

libcork (0.15.0+ds-5) unstable; urgency=medium

  * debian/patches:
    - Update 0005 patch, to fix build error on ubuntu yakkety.
      Thanks previous patch from Gianfranco Costamagna.
  * debian/rules:
    - Remove "--builddirectory=build"

 -- Roger Shimizu <rogershimizu@gmail.com>  Thu, 14 Jul 2016 18:50:30 +0900

libcork (0.15.0+ds-4) unstable; urgency=medium

  * debian/patches:
    - Update 0001 patch, to use full debian version from changelog
    - Remove 0002 patch, re-order rest of patches
    - Update 0005 patch, to fix multi-arch support
    - Add a patch to fix a bit on library pkg-config file
    - Add a patch to fix hash test result for big-endian 64bit
  * debian/rules:
    - Set hardening from "+all" to "-pie,+all" to avoid building issue
      on armel
    - Cleanup
  * debian/compat:
    - Upgrade from 9 to 10
  * debian/control:
    - Update multi-arch support. Sorry for the missing in previous release
    - Raise build-dependency debhelper >= 9.20160403 to support compat 10
    - Remove build-dependency on dh-exec
    - Move libcork-doc to extra, due to it depends on extra library
  * debian/*.install:
    - Remove dh-exec hack on multi-arch

 -- Roger Shimizu <rogershimizu@gmail.com>  Thu, 07 Jul 2016 11:47:13 +0200

libcork (0.15.0+ds-3) unstable; urgency=medium

  * debian/patches:
    - Add build support for kFreeBSD and GNU/Hurd. Thanks to Aaron M. Ucko.
      (Closes: #826263)

 -- Roger Shimizu <rogershimizu@gmail.com>  Sun, 19 Jun 2016 00:39:27 +0900

libcork (0.15.0+ds-2) unstable; urgency=medium

  * debian/control:
    - Add "Suggests" to libcork-dev. Thanks to Gianfranco Costamagna,
      and Ben Finney. (Closes: #826835)
    - Add dh-exec as build dependency to support multi-arch install
  * debian/*.install:
    Use dh-exec to support multi-arch install
  * debian/patches:
    - Add a patch from upstream's develop branch to fix build on 32-bit system
    - Add a patch to support multi-arch library

 -- Roger Shimizu <rogershimizu@gmail.com>  Thu, 16 Jun 2016 22:18:43 +0900

libcork (0.15.0+ds-1) unstable; urgency=medium

  * Initial release (Closes: #825206)

 -- Roger Shimizu <rogershimizu@gmail.com>  Thu, 19 May 2016 02:00:36 +0900
